<Menu as |menu|>
  <PopperJS as |reference popover|>
    <menu.Button {{reference}}>
      ...
    </menu.Button>

    {{#in-element this.destinationElement}}
      <menu.Items {{popover}} as |items|>
        <items.Item>
          Foo
        </items.Item>
        <items.Item>
          Bar
        </items.Item>
        <items.Item>
          Baz
        </items.Item>
      </menu.Items>
    {{/in-element}}
  </PopperJS>
</Menu>